--Update Statements for the Schematron Validation Lookup Table (End-dated for Versions 1.3.0 and Above)

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '170';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '171';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    EFFECTIVE_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '171' AND EFFECTIVE_DATE = TO_DATE('06-AUG-2019', 'DD-MON-YYYY');

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '176';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '916';



--Update Statements for the Schematron Validation Lookup Table (End-dated for Versions 1.4.0 and Above)

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('19-MAR-2020', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '212';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('19-MAR-2020', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '546';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('19-MAR-2020', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '599';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('19-MAR-2020', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '712' AND END_DATE = TO_DATE('31-DEC-2099', 'DD-MON-YYYY');

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('19-MAR-2020', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '905';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    EFFECTIVE_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY'),
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '941';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    EFFECTIVE_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY'),
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '959';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    EFFECTIVE_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY'),
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '960';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    EFFECTIVE_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY'),
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '963';

UPDATE MICR_SCHEMATRON_VALIDATION_LKP SET
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE,
    END_DATE = TO_DATE('05-AUG-2019', 'DD-MON-YYYY')
WHERE ERROR_NUMBER = '970';



--Update Statement to Make the MICR_SCHEMATRON_VALIDATION_LKP Table Refresh in the XML Code (in MICRXMLDBA)

UPDATE XML_FILE_MAINTENANCE SET
    REFRESH_FLAG = 'Y',
    MODIFIED_USER = 'nuttb1@michigan.gov',
    MODIFIED_DATE = SYSDATE
WHERE XML_FILE_NAME = 'SCHEMATRON_VALIDATION_LOOKUP';